{% extends 'base.html' %}
{% block title %}
    {{ recipe_object.title }} -
    Scrumptious Recipes
{% endblock title %}

{% block content %}
    <header>
        <nav>Go to
            <a class="is-red" href="{% url 'recipes_list' %}">Recipes List</a> OR:
            <a class ="is-red" href="{% url 'edit_recipe' recipe_object.id %}">Edit your recipe</a>
        </nav>
    </header>
    <main>
        <h1>{{ recipe_object.title }}</h1>
        <img src="{{ recipe_object.picture }}" alt="Tacos" width="200">
        <div>5 stars baby</div>
        <p>{{ recipe_object.description }}</p>
        <h2>Ingredients</h2>
        <table>
            <thread>
                <tr id="bold">
                    <th>Amount</th>
                    <th>Food item</th>
                </tr>
            </thread>
            <tbody>
                {% for item in recipe_object.ingredients.all %}
                <tr>
                    <td>{{ item.amount }}</td>
                    <td>{{ item.food_item }}</td>
                </tr>
                {% endfor %}

            </tbody>
        </table>
        <h2>Steps</h2>
        <ol>
            {% for step in recipe_object.steps.all %}
                <li> {{ step.instruction }} </li>
            {% endfor %}
        </ol>

    </main>
{% endblock content%}

{% load static %}
